List Slack installations for project
curl --request GET \
--url https://spectrum.photon.codes/projects/{projectId}/slack/installationsimport requests
url = "https://spectrum.photon.codes/projects/{projectId}/slack/installations"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://spectrum.photon.codes/projects/{projectId}/slack/installations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"succeed": true,
"data": {
"installations": [
{
"installationId": "<string>",
"appConfigId": "<string>",
"projectId": "<string>",
"teamId": "<string>",
"teamName": "<string>",
"appId": "<string>",
"botToken": "<string>",
"botRefreshToken": "<string>",
"botTokenExpiresAt": "<string>",
"botUserId": "<string>",
"grantedScopes": [
"<string>"
],
"installedAt": "<string>",
"updatedAt": "<string>"
}
]
}
}slack
List Slack installations for project
Returns every active installation owned by the project’s active Slack app config. Requires Authorization: Basic base64(projectId:projectSecret). RETURNS PLAINTEXT BOT TOKENS — only call from trusted environments.
GET
/
projects
/
{projectId}
/
slack
/
installations
List Slack installations for project
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Was this page helpful?
⌘I